### Method

# EBackend CollectionBackend is_new_source

since: 3.32

#### Declaration [src]

    gboolean
    e_collection_backend_is_new_source (
      ECollectionBackend* backend,
      ESource* source
    )

#### Description [src]

Returns whether the `source` is a newly created child or not. New sources are remembered between two populate calls only.

Available since: 3.32

#### Parameters

`source`

  Type: `ESource`

  A child `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, when the `source` is a new child; `FALSE` when it had been known before.